Bug 50882 - Kernel does not load code for ecc.c when compiled in statically instead of as a module
Kernel does not load code for ecc.c when compiled in statically instead of as...
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-04 09:00 EDT by Jordan Breeding
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jordan Breeding 2001-08-04 09:00:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.6-3.1-ext3 i686)

Description of problem:
When compiling a 2.4.6-3.1 kernel from source and choosing to include ECC
support (drivers/char/ecc.c) as a statically linked in portion of code
instead of a module the code never seems to load.  I checked the file ecc.c
and it looks like it only has init/remove code that compiles if it is a
module.  I would really like to use this section of code and try it out but
don't really like modules.  Will this be fixed any time soon?

How reproducible:

Steps to Reproduce:
1. Compile kernel with ecc as an actual part of the kernel
2. Boot up
3. Watch the driver not work

Actual Results:  Driver does not load, no kernel messages at boot, no /proc
file is created.

Expected Results:  Driver should work as a static section of code and still
output kernel messages at boot time and create its files under /proc

Additional info:
Comment 1 Arjan van de Ven 2001-08-04 11:37:51 EDT
Yes this is a bug, I'll fix it on monday. Thanks for reporting
Comment 2 Glen Foster 2001-08-06 18:40:48 EDT
We (Red Hat) should try to fix this for the next release.
Comment 3 Alan Cox 2003-06-06 12:32:35 EDT
Was this fixed Arjan ?
Comment 4 Bugzilla owner 2004-09-30 11:39:06 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.